Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ORBInitInfo Class Reference

An implementation of the PortableInterceptor::ORBInitInfo interface. More...

`#include <ORBInitInfo.h>`

Inheritance diagram for TAO_ORBInitInfo

[legend]
Collaboration diagram for TAO_ORBInitInfo:

[legend]
List of all members.

## Public Methods
| TAO_ORBInitInfo (TAO_ORB_Core *orb_core, int argc, char *argv[])
| Constructor.
Reference Related Methods
virtual CORBA::StringSeq* | arguments ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) ACE_THROW_SPEC ((CORBA
virtual void* | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object.
virtual const char* | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations!
## Protected Methods
| ~TAO_ORBInitInfo (void)
| Destructor is protected to force instantiation on the heap since ORBInitInfo is reference counted.
void | check_validity (CORBA::Environment &ACE_TRY_ENV)
| Check if this ORBInitInfo instance is valid. Once post_init() has been called on each of the ORBInitializers, this ORBInitInfo is no longer valid. Throw an exception in that case.
## Friends
CORBA::ORB_ptr | CORBA::ORB_init (int &, char *argv[], const char *, CORBA_Environment &)

## Detailed Description

An implementation of the PortableInterceptor::ORBInitInfo interface.

This class encapsulates the data passed to ORBInitializers during ORB initialization.

## Constructor & Destructor Documentation

TAO_ORBInitInfo::TAO_ORBInitInfo ( | TAO_ORB_Core * orb_core,
| int argc,
| char * argv[] )

| Constructor.

TAO_ORBInitInfo::~TAO_ORBInitInfo ( | void )`[protected]`

| Destructor is protected to force instantiation on the heap since ORBInitInfo is reference counted.

## Member Function Documentation

const char * TAO_ORBInitInfo::_interface_repository_id ( | void ) const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA_Object.

void * TAO_ORBInitInfo::_tao_QueryInterface ( | ptr_arith_t type )`[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from CORBA_Object.

CORBA::StringSeq * TAO_ORBInitInfo::arguments ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[inline, virtual]`

void TAO_ORBInitInfo::check_validity ( | CORBA::Environment & ACE_TRY_ENV )`[protected]`

| Check if this ORBInitInfo instance is valid. Once post_init() has been called on each of the ORBInitializers, this ORBInitInfo is no longer valid. Throw an exception in that case.

## Friends And Related Function Documentation

CORBA::ORB_ptr CORBA::ORB_init ( | int &,
| char * argv[],
| const char *,
| CORBA_Environment & )`[friend]`

The documentation for this class was generated from the following files:

- ORBInitInfo.h
- ORBInitInfo.cpp